Variables
POST
/variables
Create a new variable
Create a new variable
<div class="api-body-section">
<div class="api-request-body-section">
<h4>Request Body (application/json)</h4>
<div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">id</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Unique identifier for the variable</div>
<div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the variable</div>
<div class="api-property-example">Example: <code>"API_KEY"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">value</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Value of the variable</div>
<div class="api-property-example">Example: <code>"my-secret-key"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">type</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Type of the variable (e.g., string, number)</div>
<div class="api-property-example">Example: <code>"string"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">createdDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was created</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">updatedDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was last updated</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
</div>
</div>
</div>
<div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
<div class="api-response-row">
<span class="api-response-code code-success">200</span>
<span class="api-response-desc">Variable created successfully</span>
<div class="api-response-schema-toggle">Schema Detail:</div><div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">id</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Unique identifier for the variable</div>
<div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the variable</div>
<div class="api-property-example">Example: <code>"API_KEY"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">value</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Value of the variable</div>
<div class="api-property-example">Example: <code>"my-secret-key"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">type</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Type of the variable (e.g., string, number)</div>
<div class="api-property-example">Example: <code>"string"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">createdDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was created</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">updatedDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was last updated</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
</div>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">400</span>
<span class="api-response-desc">Invalid request body</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">422</span>
<span class="api-response-desc">Validation error</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">500</span>
<span class="api-response-desc">Internal server error</span>
</div>
</div></div>
</div>
GET
/variables
List all variables
Retrieve a list of all variables
<div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
<div class="api-response-row">
<span class="api-response-code code-success">200</span>
<span class="api-response-desc">Successful operation</span>
<div class="api-response-schema-toggle">Schema Detail:</div><div class="api-property-array">Array of: <div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">id</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Unique identifier for the variable</div>
<div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the variable</div>
<div class="api-property-example">Example: <code>"API_KEY"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">value</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Value of the variable</div>
<div class="api-property-example">Example: <code>"my-secret-key"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">type</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Type of the variable (e.g., string, number)</div>
<div class="api-property-example">Example: <code>"string"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">createdDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was created</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">updatedDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was last updated</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
</div></div>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">500</span>
<span class="api-response-desc">Internal server error</span>
</div>
</div></div>
</div>
PUT
/variables/{id}
Update a variable by ID
Update a specific variable by ID
<div class="api-params-section"><h4>Path Parameters</h4><table class="api-params-table"><thead><tr><th>Name</th><th>Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td><strong>id</strong></td><td><code>string</code></td><td><span class="req-yes">Yes</span></td><td>Variable ID</td></tr></tbody></table></div>
<div class="api-body-section">
<div class="api-request-body-section">
<h4>Request Body (application/json)</h4>
<div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">id</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Unique identifier for the variable</div>
<div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the variable</div>
<div class="api-property-example">Example: <code>"API_KEY"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">value</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Value of the variable</div>
<div class="api-property-example">Example: <code>"my-secret-key"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">type</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Type of the variable (e.g., string, number)</div>
<div class="api-property-example">Example: <code>"string"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">createdDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was created</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">updatedDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was last updated</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
</div>
</div>
</div>
<div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
<div class="api-response-row">
<span class="api-response-code code-success">200</span>
<span class="api-response-desc">Variable updated successfully</span>
<div class="api-response-schema-toggle">Schema Detail:</div><div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">id</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Unique identifier for the variable</div>
<div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the variable</div>
<div class="api-property-example">Example: <code>"API_KEY"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">value</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Value of the variable</div>
<div class="api-property-example">Example: <code>"my-secret-key"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">type</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Type of the variable (e.g., string, number)</div>
<div class="api-property-example">Example: <code>"string"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">createdDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was created</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">updatedDate</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Date and time when the variable was last updated</div>
<div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
</div>
</div>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">400</span>
<span class="api-response-desc">Invalid ID or request body provided</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">404</span>
<span class="api-response-desc">Variable not found</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">500</span>
<span class="api-response-desc">Internal server error</span>
</div>
</div></div>
</div>
DELETE
/variables/{id}
Delete a variable by ID
Delete a specific variable by ID
<div class="api-params-section"><h4>Path Parameters</h4><table class="api-params-table"><thead><tr><th>Name</th><th>Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td><strong>id</strong></td><td><code>string</code></td><td><span class="req-yes">Yes</span></td><td>Variable ID</td></tr></tbody></table></div>
<div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
<div class="api-response-row">
<span class="api-response-code code-success">200</span>
<span class="api-response-desc">Variable deleted successfully</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">400</span>
<span class="api-response-desc">Invalid ID provided</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">404</span>
<span class="api-response-desc">Variable not found</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">500</span>
<span class="api-response-desc">Internal server error</span>
</div>
</div></div>
</div>